# synopsis
if [ "$1" == "" ]
then
	echo "extract_asserts.sh <file> [-p]"
	echo "file is a dmesg or /var/log/messages file with an qed fw assert dump"
	echo "-p auto parse the asserts"
	exit 0;
fi

# file locations
tmpfile=/tmp/assert.sed
tmp2file=/tmp/assert.tmp2
resfile=/tmp/assert.res
parser_location=`cat $(dirname $0)/../data/location.txt | grep grc_parser | cut -f 2`

# if there are any #012 replace with newline
cat $1 | sed 's/#012/\n/g' > $tmpfile

# check if this is output which has correct form (possibly with suffixes)
grep "kernel.*dump-type: fw-asserts" $tmpfile > /dev/null

if [ "$?" == 0 ]
then
	# just need to remove suffixes
	grep "dump-type: fw-asserts" $tmpfile -m 1 -B 7 -A 62 | grep ": .*" -o | cut -f2-10 -d " " | sed 's/\[.*\] //g' > $resfile
else
	# build output manually. First the header (and empty line)
	grep "dump-type: fw-asserts" -m 1 -B7 $tmpfile > $resfile
	echo >> $resfile

	# remove stray kernel log lines and prefixes
	cat $tmpfile | sed 's/.*kernel: //g' |  sed 's/\[.*\] //g' > $tmp2file

	# then the asserts themselves
	for i in T M U X Y P; do grep -m 1 $i"STORM" -A8 $tmp2file; echo ; done >> $resfile
fi

# auto-parse
if [ "$2" == "-p" ]
then
	$parser_location $resfile
        if [ "$?" != 0 ]; then
        	echo "Parsing failed"
                exit 10
        fi
else
	cat $resfile
fi

